import * as react_jsx_runtime from 'react/jsx-runtime';
import { SpacingProps } from '@versini/ui-private/dist/utilities';

declare const PILL_CLASSNAME = "av-pill";

type PillProps = {
	/**
	 * Content of the Pill.
	 */
	label: string;
	/**
	 * CSS class(es) to add to the main component wrapper.
	 */
	className?: string;
	/**
	 * Hidden label adjacent to the pill text to provide added
	 * context for screen reader users, ideally no more
	 * than 2-3 words.
	 */
	description?: string;
	/**
	 * Theme of the Pill.
	 * @default "information"
	 */
	variant?: "information" | "warning" | "error" | "success";
} & SpacingProps;

declare const Pill: ({ label, className, variant, description, spacing, }: PillProps) => react_jsx_runtime.JSX.Element;

export { PILL_CLASSNAME, Pill };
